﻿@page
@model TwoFactorAuthenticationModel
@{
    ViewData["Title"] = "امنیت بالاتر حساب کاربری با استفاده از اسکن Qr Code";
    ViewData["ActivePage"] = ManageNavPages.TwoFactorAuthentication;
}

<partial name="_StatusMessage" for="StatusMessage" />
<h5>امنیت بالاتر حساب کاربری با استفاده از اسکن QR Code</h5>
<p>کاربر گرامی برای بالابردن امنیت حساب کاربری خود می توانید از ویژگی اسکن QR Code استفاده نمائید .</p>
<p class="Qr-des">در صورت فعال کردن این گزینه در هنگام ورود به سامانه علاوه بر وارد نمودن نام کاربری و رمز عبور در مرحله بعد باید یک کد  که از طریق اسکن QR Code  ایجاد می شود را در اختیار سیستم قرار دهید . با این کار امنیت حساب کاربری شما در شرایط مطلوب تری قرار خواهد گرفت چراکه بنا به هر علتی نام کاربری و رمز عبور شما در اختیار فرد ناشناسی قرار بگیرد بدون داشتن کد تائید،  نمی تواند به حساب کاربری شما نفوذ کند.</p>
@if (Model.Is2faEnabled)
{
    if (Model.RecoveryCodesLeft == 0)
    {
        <div class="alert alert-danger">
            <strong>کد بازیابی شما به اتمام رسیده است .</strong>
            <p>کاربر گرامی قبل از ورود به سامانه می بایست  کد های جدید بازیابی را ایجاد نمائید .</p>
            <a asp-page="./GenerateRecoveryCodes">ایجاد کردن کدهای بازیابی</a> 
        </div>
    }
    else if (Model.RecoveryCodesLeft == 1)
    {
        <div class="alert alert-danger">
            <strong>تنها یک کد بازیابی باقی مانده است .</strong>
            <p>You can <a asp-page="./GenerateRecoveryCodes">ایجاد کردن کدهای بازیابی</a>.</p>
        </div>
    }
    else if (Model.RecoveryCodesLeft <= 3)
    {
        <div class="alert alert-warning">
            <strong>شما دارای @Model.RecoveryCodesLeft کد بازیابی می باشید .</strong>
            <p>شما نیاز به تولید<a asp-page="./GenerateRecoveryCodes">ایجاد کردن کدهای بازیابی</a>.</p>
        </div>
    }

    if (Model.IsMachineRemembered)
    {
        <form method="post" style="display: inline-block">
            <button type="submit" class="btn btn-primary">حذف از این ماشین</button>
        </form>
    }
        <p>
            <a class="btn btn-outline-success" asp-page="./Disable2fa">غیر فعال کردن احراز هویت دوم</a>
            <a class="btn btn-outline-success" asp-page="./GenerateRecoveryCodes">ریست کردن کدهای بازیابی</a>
        </p>
}

@if (!Model.HasAuthenticator)
{
    <a id="enable-authenticator" class="btn btn-outline-success" asp-page="./EnableAuthenticator">مراحل راه اندازی احراز هویت با استفاده از QR Code</a>
}
else
{
    <a id="enable-authenticator" class="btn btn-outline-success" asp-page="./EnableAuthenticator">مراحل راه اندازی احراز هویت با استفاده از QR Code</a>
    <a id="reset-authenticator" class="btn btn-outline-success" asp-page="./ResetAuthenticator">غیر فعال کردن اسکن QR Code</a>
}

@section Scripts {
    <partial name="_ValidationScriptsPartial" />
}